<template>
	<view class="whole">
		<up-cell-group>
		  <up-cell v-for="it in itemList" :key="it.id" :title="it.text" :isLink="true" center @click="toPage(it)" />
		</up-cell-group>
	</view>
</template>

<script>
	import { ref, reactive, toRefs } from 'vue'
	
	export default {
		setup() {
			const data = reactive({
				itemList: [
					{ id: 1, text: '用户协议', },
					{ id: 2, text: '隐私政策' },
					{ id: 3, text: '证件信息' },
					{ id: 4, text: '合作和投诉' }
				]
			})
			
			const toPage = (item) => {
				uni.navigateTo({ url: '/pages/mine/aboutUs/article?type=' + item.id + '&text=' + item.text })
			}
			
			return {
				...toRefs(data),
				toPage
			}
		}
	}
</script>

<style lang="scss" scoped>
	.whole{
		width: 100%;
		height: 100vh;
		background: #fff;
	}
</style>